%define name		jai-imageio
%define cvs_name	jai_imageio
%define version		1.0
%define cvs_version	1_0
%define release		1jpp
%define section		non-free

Summary:       	Java Advanced Imaging Image I/O API
URL:           	http://java.sun.com/products/java-media/jai/

Source0:       	%{cvs_name}-%{cvs_version}-lib-linux-i586.tar.gz
NoSource:      	0

# If you do not want -javadoc built, give rpmbuild option '--without javadoc'
%define with_javadoc %{!?_without_javadoc:1}%{?_without_javadoc:0}

%if %{with_javadoc}
Source1:       	%{cvs_name}-%{cvs_version}-doc.zip
NoSource:      	1
%endif

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
License:        Sun Binary Code License
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
BuildArch:      i586
BuildRequires:  jpackage-utils > 0:1.5
Requires:	jpackage-utils > 0:1.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Java Advanced Imaging-Image I/O Tools package set provides reader,
writer, and stream plug-ins for the Java Image I/O Framework and Image
I/O-based read and write operations for Java Advanced Imaging.
Reader-writer plug-ins are supplied for the BMP, JPEG, JPEG 2000, PNG,
PNM, Raw, TIFF, and WBMP image formats. The supplied streams and
associated service providers use the New I/O APIs.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}

%prep
%setup -q -n %{name}-%{version} -c
chmod 0644 *.txt
chmod 0644 *.html

%if %{with_javadoc}
%setup -q -n %{name}-%{version}/javadoc -c -T -a 1

# This sets the directory to the top of unpacked sources:
%setup -n %{name}-%{version} -D -T
%endif

%build

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755       $RPM_BUILD_ROOT%{_javadir}/%{name}
install -p -m 0644 *.jar $RPM_BUILD_ROOT%{_javadir}/%{name}

# lib
install -d -m 0755       $RPM_BUILD_ROOT%{_libdir}
install -p -m 0755 *.so  $RPM_BUILD_ROOT%{_libdir}

# javadoc
%if %{with_javadoc}
install -d -m 0755	 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/*	 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%doc *.txt
%doc *.html
%{_javadir}/%{name}
%{_libdir}/*.so

%if %{with_javadoc}
%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}
%endif

%changelog
* Wed Oct 08 2003 Leonid Dubinsky <dub@podval.org> - 0:1.0-1jpp
- first build
